curl --request POST \
--url https://api.quivo.co/v2/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sellerId": 123,
"endpoint": {}
}
'import requests
url = "https://api.quivo.co/v2/subscriptions"
payload = {
"sellerId": 123,
"endpoint": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sellerId: 123, endpoint: {}})
};
fetch('https://api.quivo.co/v2/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sellerId' => 123,
'endpoint' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/subscriptions"
payload := strings.NewReader("{\n \"sellerId\": 123,\n \"endpoint\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quivo.co/v2/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sellerId\": 123,\n \"endpoint\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sellerId\": 123,\n \"endpoint\": {}\n}"
response = http.request(request)
puts response.read_body{
"sellerId": 123,
"entity": "SHIPMENTS",
"endpoint": {},
"uuid": "<string>"
}Create subscription
Create a new subscription.
curl --request POST \
--url https://api.quivo.co/v2/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sellerId": 123,
"endpoint": {}
}
'import requests
url = "https://api.quivo.co/v2/subscriptions"
payload = {
"sellerId": 123,
"endpoint": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sellerId: 123, endpoint: {}})
};
fetch('https://api.quivo.co/v2/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sellerId' => 123,
'endpoint' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/subscriptions"
payload := strings.NewReader("{\n \"sellerId\": 123,\n \"endpoint\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quivo.co/v2/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sellerId\": 123,\n \"endpoint\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sellerId\": 123,\n \"endpoint\": {}\n}"
response = http.request(request)
puts response.read_body{
"sellerId": 123,
"entity": "SHIPMENTS",
"endpoint": {},
"uuid": "<string>"
}Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Body
Data to create a new resource at /subscriptions
Request payload for creating a new subscription. Contains subscription package selection, billing configuration, and optional customization settings.
Required seller for which to make a subscription.
Required entity name for which to subscribe.
Enum: ORDERS SHIPMENTS
SHIPMENTS, ORDERS, INBOUNDS, RETURNS, INVOICES Response object containing endpoint details
Response
Returns the newly created subscription with assigned identifier and status.
Subscription information and details. Contains subscription package, billing configuration, status, and usage metrics.
Required seller for which to make a subscription.
Required entity name for which to subscribe.
Enum: ORDERS SHIPMENTS
SHIPMENTS, ORDERS, INBOUNDS, RETURNS, INVOICES Response object containing endpoint details
The uuid value